> ## Documentation Index
> Fetch the complete documentation index at: https://docs.no-tickets.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Cross-domain project feed

> Most-recent events for the project across every domain (product, ai, scm, support, …). Use `?domain=` to narrow to a single space.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/projects/{projectId}/feed
openapi: 3.1.0
info:
  title: no-tickets API
  version: 0.1.0
  description: REST API for the no-tickets team dashboard.
servers: []
security: []
paths:
  /v1/projects/{projectId}/feed:
    get:
      tags:
        - projects
      summary: Cross-domain project feed
      description: >-
        Most-recent events for the project across every domain (product, ai,
        scm, support, …). Use `?domain=` to narrow to a single space.
      operationId: getProjectFeed
      parameters:
        - name: projectId
          in: path
          required: true
          schema:
            type: string
        - name: limit
          in: query
          required: false
          schema:
            type: string
        - name: domain
          in: query
          required: false
          schema:
            type: string
            minLength: 1
      responses:
        '200':
          description: Feed entries
          content:
            application/json:
              schema:
                $schema: https://json-schema.org/draft/2020-12/schema
                type: object
                properties:
                  events:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        type:
                          type: string
                        domain:
                          type: string
                        occurredAt:
                          type: string
                        subjectType:
                          type: string
                        subjectId:
                          type: string
                        actorType:
                          type: string
                        actorId:
                          type: string
                        data: {}
                        traceId:
                          anyOf:
                            - type: string
                            - type: 'null'
                      required:
                        - id
                        - type
                        - domain
                        - occurredAt
                        - subjectType
                        - subjectId
                        - actorType
                        - actorId
                        - data
                        - traceId
                      additionalProperties: false
                required:
                  - events
                additionalProperties: false
        '400':
          description: Empty domain query parameter
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: No session cookie
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Not a member of any team
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Project not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - sessionAuth: []
components:
  schemas:
    ErrorResponse:
      $schema: https://json-schema.org/draft/2020-12/schema
      type: object
      properties:
        error:
          type: string
        code:
          type: string
          enum:
            - AUTH_REQUIRED
            - EMPTY_QUERY_FILTER
            - INSUFFICIENT_PERMISSIONS
            - ONBOARDING_REQUIRED
            - PROJECT_NAME_TAKEN
            - PROJECT_NOT_FOUND
            - TEAM_MEMBERSHIP_REQUIRED
            - VALIDATION_FAILED
        docsUrl:
          type: string
      required:
        - error
        - code
        - docsUrl
      additionalProperties: false
  securitySchemes:
    sessionAuth:
      type: apiKey
      in: cookie
      name: session

````